QGIS Application - Bug report #16506
DB Manager fails to dispay tables without PK
2017-05-03 11:54 AM - Paolo Cavallini

Status: Closed
Priority: High
Assignee:

Category: DB Manager

Affected QGIS version:master
Operating System: Debian Sid
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 24412

Description

Current master fails to display table info for tables without a PK. If clicking on table preview first, the info is displayed.

if self.table.rowCount is not None or self.table.rowCount >= 0:

TypeError: unorderable types: NoneType() >= int()

TypeError: unorderable types: NoneType() >= int()
Traceback (most recent call last):

File "/usr/local/src/qgis/QGIS/build_qgis3/output/python/plugins/db_manager/db_manager.py", line 92, in itemChanged

self.refreshTabs()

File "/usr/local/src/qgis/QGIS/build_qgis3/output/python/plugins/db_manager/db_manager.py", line 141, in refreshTabs

self.info.showInfo(item)

File "/usr/local/src/qgis/QGIS/build_qgis3/output/python/plugins/db_manager/info_viewer.py", line 76, in showlInfo

self._showTablelnfo(item)

File "/usr/local/src/qgis/QGIS/build_qggis3/output/python/plugins/db_manager/info_viewer.py", line 135, in _showTablelnfo

html += table.info().toHtml()

File "/usr/local/src/qgis/QGIS/build_qgis3/output/python/plugins/db_manager/db_plugins/info_model.py", line 361, in toHtml

ret = self.getTablelnfo()

File "/usr/local/src/qgis/QGIS/build_qggis3/output/python/plugins/db_manager/db_plugins/postgis/info_model.py", line 230, in

getTablelnfo
ret = Tablelnfo.getTableInfo(self)

File "/usr/local/src/qgis/QGIS/build_qggis3/output/python/plugins/db_manager/db_plugins/info_model.py", line 296, in

getTablelnfo
general_info = self.generallnfo()

File "/usr/local/src/qgis/QGIS/build_qgis3/output/python/plugins/db_manager/db_plugins/postgis/info_model.py", line 87, in

generallnfo

if self.table.rowCount is not None or self.table.rowCount >= 0:

TypeError: unorderable types: NoneType() >= int()

History

#1 - 2017-05-03 12:00 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-11-15 06:38 PM - Salvatore Larosa

- Resolution set to fixed/implemented
- Status changed from Open to Closed
Fixed in changeset commit:f1c3692f6adfe8316c2ade7508f28fbe26407286
